Go Back   nV News Forums > Linux Support Forums > NVIDIA FreeBSD

Newegg Daily Deals

Reply
 
Thread Tools
Old 07-09-09, 09:02 AM   #1
kmoore134
Kris Moore
 
Join Date: May 2006
Posts: 19
Default 71.86.11 Fails on 7.2-Stable / Xorg-server 1.6.1

Hey there! Had a user report an issue when trying to use the 71.86.11 driver on PC-BSD 7.1.1, which is FreeBSD 7.2-Stable, and xorg 7.4 / xorg-server 1.6.1:

dlopen: /usr/PCBSD/local/lib/xorg/modules/drivers//nvidia_drv.so: Undefined symbol "AllocateScreenPrivateIndex"
(EE) Failed to load /usr/PCBSD/local/lib/xorg/modules/drivers//nvidia_drv.so

Any hints? Where does this symbol normally live?
kmoore134 is offline   Reply With Quote
Old 07-09-09, 02:45 PM   #2
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: 71.86.11 Fails on 7.2-Stable / Xorg-server 1.6.1

Unfortunately, the 71.86.xx graphics driver series does not currently support X.Org 1.5 or more recent X.Org servers. This may change in the future, but there are currently no plans to backport the support. Please see related threads on the NVIDIA Linux forum for more information.
zander is offline   Reply With Quote
Old 07-10-09, 09:24 AM   #3
kmoore134
Kris Moore
 
Join Date: May 2006
Posts: 19
Default Re: 71.86.11 Fails on 7.2-Stable / Xorg-server 1.6.1

Ok, thanks Zander! Just wanted to be sure so we can let our users know.
kmoore134 is offline   Reply With Quote
Old 07-31-09, 04:36 PM   #4
uOpt
FreeBSD cheering section
 
uOpt's Avatar
 
Join Date: Nov 2004
Location: Boston, MA, USA
Posts: 609
Default Re: 71.86.11 Fails on 7.2-Stable / Xorg-server 1.6.1

How do you compile these on 7.x?

I get the warning that it won't work, it continues and then bombs out in IIRC some pmap related calls?
__________________

My Unix benchmark results
uOpt is offline   Reply With Quote
Old 01-19-10, 09:38 AM   #5
bezetek
Registered User
 
Join Date: Jan 2010
Posts: 3
Default Re: 71.86.11 Fails on 7.2-Stable / Xorg-server 1.6.1

Quote:
Originally Posted by zander View Post
Unfortunately, the 71.86.xx graphics driver series does not currently support X.Org 1.5 or more recent X.Org servers. This may change in the future, but there are currently no plans to backport the support. Please see related threads on the NVIDIA Linux forum for more information.

still does not support X.Org 1.5...this problem is reported on 11-03-08

ps: what should i do ? use x.org 1.4.99 ?
bezetek is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 05:55 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.